---
layout: user-guide
---

Capability Profiles
============================

### Accepted values of `-profile`:

> Note: To 'make' your own 'profile's, try mixing capabilities with `-capability`.

`sm_{4_0,4_1,5_0,5_1,6_0,6_1,6_2,6_3,6_4,6_5,6_6,6_7}`
* HLSL shader model

`vs_{4_0,4_1,5_0,5_1,6_0,6_1,6_2,6_3,6_4,6_5,6_6,6_7}`
* HLSL shader model + vertex shader

`ps_{4_0,4_1,5_0,5_1,6_0,6_1,6_2,6_3,6_4,6_5,6_6,6_7}`
* HLSL shader model + pixel shader

`hs_{4_0,4_1,5_0,5_1,6_0,6_1,6_2,6_3,6_4,6_5,6_6,6_7}`
* HLSL shader model + hull shader

`gs_{4_0,4_1,5_0,5_1,6_0,6_1,6_2,6_3,6_4,6_5,6_6,6_7}`
* HLSL shader model + geometry shader

`ds_{4_0,4_1,5_0,5_1,6_0,6_1,6_2,6_3,6_4,6_5,6_6,6_7}`
* HLSL shader model + domain shader

`cs_{4_0,4_1,5_0,5_1,6_0,6_1,6_2,6_3,6_4,6_5,6_6,6_7}`
* HLSL shader model + compute shader

`ms_6_{5,6,7}`
* HLSL shader model + mesh shader

`as_6_{5,6,7}`
* HLSL shader model + amplification shader

`lib_6_{1,2,3,4,5,6,7}`
* HLSL shader model for libraries

`glsl_{110,120,130,140,150,330,400,410,420,430,440,450,460}`
* GLSL versions

`spirv_1_{1,2,3,4,5,6}`
* SPIRV versions

`metallib_2_{3,4}`
* Metal versions
